# Generated from rake_process_manager-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rake_process_manager

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Rake tasks for managing processes
License: MIT
URL: https://github.com/infrablocks/rake_process_manager
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(rake_circle_ci) >= 0.9
# BuildRequires: rubygem(rake_circle_ci) < 1
# BuildRequires: rubygem(rake_github) >= 0.5
# BuildRequires: rubygem(rake_github) < 1
# BuildRequires: rubygem(rake_ssh) >= 0.4
# BuildRequires: rubygem(rake_ssh) < 1
# BuildRequires: rubygem(rake_gpg) >= 0.12
# BuildRequires: rubygem(rake_gpg) < 1
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(semantic) >= 1.6.1
# BuildRequires: rubygem(semantic) < 1.7
# BuildRequires: rubygem(gem-release) >= 2.0
# BuildRequires: rubygem(gem-release) < 3
# BuildRequires: rubygem(activesupport) >= 5.2
# BuildRequires: rubygem(fakefs) >= 1.0
# BuildRequires: rubygem(fakefs) < 2
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Rake tasks for starting and stopping background processes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.0-1
- Initial package
